Subject: RE: [Simple] Strength of XML validity requirements in SIMPLE docu ments

From: Eric Burger <[email-masked]>
Date: Fri, 17 Sep 2004 14:31:51 -0400

I can't agree with a statement that begins "a private extension...".

If the schema anticipates extension points (as Pete points out), then the
XML will be valid.

Saying "SHOULD be valid, because we might extend things willy-nilly without
standardization" MUST NOT be allowed.

> -----Original Message-----
> From: Pete Cordell [mailto:[email-masked]]
> Sent: Thursday, September 16, 2004 8:08 AM
> To: Jonathan Rosenberg; Pekka Pessi
> Cc: Robert Sparks; [email-masked]
> Subject: Re: [Simple] Strength of XML validity requirements in SIMPLE
> documents
> 
> 
> Please see below...
> ----- Original Message ----- 
> From: "Pekka Pessi" <[email-masked]>
> 
> 
> > Jonathan Rosenberg <[email-masked]> writes:
> > >Hmm, its a good question. I think that the vast majority of XML
> > >docs produced in the SIP/SIPPING/SIMPLE groups have the same
> > >words, and to be honest, I had not given a ton of thought to MUST
> > >vs. SHOULD for valid. I can't really think of a reason why it
> > >would ever be the right thing to produce a document that is not
> > >valid, particularly if the recipient does schema validation.
> >
> > The presence documents may contain all kind of extensions, which
> > may be only meaningful for a single application using the presence
> > service. The presence servers or any intermediate nodes (not to
> > speak about any innocent watcher) can't really know if the
> > documents are valid unless they know the schema for all of
> > those extensions.
> >
> > Like, if composer puts two tuples from two different sources to
> > the combined document in the presence server. Both the extensions
> > use ID attributes, but how could the composer know which
> > attributes have xs:ID type? The following example may be valid, or
> > then not, but who is to say without a schema?
> >
> > <?xml version="1.0" encoding="UTF-8"?>
> > <presence xmlns="urn:ietf:params:xml:ns:pidf"
> >      xmlns:x="http://example.com/ex/ten/sion"
> >      entity="pres:[email-masked]">
> >   <tuple id="id1"><status><basic>open</basic></status></tuple>
> >   <x:example-extension id="id1" />
> > </presence>
> >
> 
> 
> I don't know about the specifics of the presence schema, but 
> presumably the
> original presence schema specifies <xs:any 
> namespace='##other'/> at some key
> points.  Hence the document is valid against the original schema.
> (Mumbo-jumbo is valid in the schema sense as long as it is 
> from another
> namespace.)  Put another way, a document can be valid in the 
> schema sense,
> but still not be semantically correct.
> 
> How validity is established for the extensions is another 
> issue.  This comes
> down to versioning.  I think this is an area where the 
> group(s) needs to get
> a common understanding on how things should be done.  (Schema 
> is actually
> weak in this area!  There are ways, but they don't come for 
> free and they
> certainly don't happen by accident!)
> 
> Pete.
> --
> =============================================
> Pete Cordell
> Tech-Know-Ware
> pete(at)tech-know-ware.com
> http://www.tech-know-ware.com
> http://www.xml2cpp.com - Now Available
> +44 1473 635863
> =============================================
> 
> 
> > --Pekka
> >
> > >Robert Sparks wrote:
> ... cut ...
> 
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple